
REM To get it to work create a new batch file in your library folder (the folder above the "src" folder).
REM Copy the code below into your batch file.
REM Edit the path to the Simple Library Compiler (ie update B4A_SLC variable).
REM Update the Lib_Name variable below with your library name.
REM The library source will be picked up from the directory in which you placed the batch file.
REM    This is why placing the file in the correct directory is important.
REM Run the batch file.
REM If successful the batch file will terminate once complete.
REM If an error occurs the batch file window will change colour (red/white) and stay visible for 60 seconds.


@echo off

SET Lib_Name=Jackcess
SET Lib_Source_Dir="%CD%"
SET B4A_SLC=..\LibraryCompiler.exe

echo Library Name = %Lib_Name%
echo Library Source Directory = %Lib_Source_Dir%
echo B4A Library Compiler = %B4A_SLC%
echo.

REM ------------------------------------------
REM Compile library
REM ------------------------------------------
echo.

set errorlevel=
%B4A_SLC% %Lib_Name% %Lib_Source_Dir%

IF "%errorlevel%"=="0" GOTO OK
IF "%errorlevel%"=="1" GOTO ERRORS

:OK
GOTO EXIT

:ERRORS
color FC
echo.
echo ******************************************
echo There were compile errors!
echo ******************************************
timeout /t 60 /nobreak

GOTO EXIT

:EXIT
cls
echo.
echo Done!
echo.